DynamicPayloadFormat Class Reference
Payload types and formats.

Dynamic payload format objects. More...

`#include <formats.h>`

Inheritance diagram for DynamicPayloadFormat:
[legend]
Collaboration diagram for DynamicPayloadFormat:
[legend]

## Public Member Functions

| DynamicPayloadFormat (PayloadType type, uint32 rate)
| Constructor. More...
Public Member Functions inherited from PayloadFormat
PayloadType | getPayloadType () const
| Get payload type numeric identifier carried in RTP packets. More...
uint32 | getRTPClockRate () const
| Get RTP clock rate for this payload format. More...

## Additional Inherited Members

Protected Member Functions inherited from PayloadFormat
| PayloadFormat ()
| PayloadFormat must not be used but as base class. More...
virtual | ~PayloadFormat ()
| PayloadFormat must not be used but as base class. More...
void | setPayloadType (PayloadType pt)
| Set payload type numeric identifier carried in RTP packets. More...
void | setRTPClockRate (uint32 rate)
| Set RTP clock rate. More...
Static Protected Attributes inherited from PayloadFormat
static const uint32 | defaultRTPClockRate

## Detailed Description

Dynamic payload format objects.

Class of payload formats objects for payload types dynamically negotiated. Because these payloads do not have a fix RTP clock rate assigned, it must be specified to the constructor. This class will be used by applications that support dynamic payload negotiation.

Author
  Federico Montesino Pouzols fedem.nosp@m.p@al.nosp@m.tern..nosp@m.org

## Constructor & Destructor Documentation

## DynamicPayloadFormat()

DynamicPayloadFormat::DynamicPayloadFormat | ( | PayloadType | type,
|  | uint32 | rate
| ) |  |

Constructor.

Builds a dynamic payload format from payload numeric identifier and the corresponding RTP clock rate.

Parameters

  type | payload type numeric identifier.
  rate | RTP clock rate.

The documentation for this class was generated from the following file:

- formats.h